[![Tuist badge](https://img.shields.io/badge/Powered%20by-Tuist-blue)](https://tuist.io)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
![Platforms](https://img.shields.io/badge/platform-iOS-lightgrey.svg)
[![Swift Version](https://img.shields.io/badge/Swift-5-F16D39.svg?style=flat)](https://developer.apple.com/swift)

TVShows iOS app built with RxSwift, using the [TMDb API](https://www.themoviedb.org/).

## Built with
- Swift 5
- RxSwift, RxDataSources
- Clean + Modular Architecture
- Cordinator Pattern.
- MVVM
- Dependency Injection
- Kingfisher
- Realm
- KeychainSwift
- Tuist
- Swift Package Manager
- Dark Mode support

## Requirements
1. Tuist 1.50.0+
2. Xcode 12.0+

## Getting started

1. Clone this repository.
2. run `tuist generate`
3. Open the workspace file and have fun.


## Tuist
This project is setup with [Tuist](https://tuist.io). Therefore no `xcodeproj`/`xcworkspace` is committed to this repo.




## Screenshots

### Dark Mode
<p>
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/dark/01.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/dark/02.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/dark/03.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/dark/04.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/dark/05.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/dark/06.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/dark/07.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/dark/08.png" width="215" height="383">
</p>

### Light Mode
<p>
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/light/01.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/light/02.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/light/03.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/light/04.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/light/05.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/light/06.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/light/07.png" width="215" height="383">
<img src="https://github.com/rcaos/TVToday/blob/master/Screenshots/light/08.png" width="215" height="383">
</p>

## CocoaPods branch
- Old version built with CocoaPods: https://github.com/rcaos/TVToday/releases/tag/v.0.4.0

# Author
Jeans Ruiz, jeansruiz.c@gmail.com
